use std::{io, str::FromStr};

mod networking;
use networking::ip::{IpAddr};

fn main() {
    println!("Enter the IP and CIDR for your given network");
    
    loop {
        let mut ip = String::new();
        io::stdin().read_line(&mut ip).unwrap();
        let ip_address = match IpAddr::from_str(x) {
            Err(_) => {
                println!("fucked it");
                IpAddr::V4(0, 0, 0, 0)
            },
            Ok(ip) => ip,
        };

        println!("you entered, {:?}", ip_address);
    }
    
}
